{
    "clientId": "{{ IDM_CLIENT.API_ACCESS }}",
    "description": "This client was created by ansible.",
    "rootUrl": "https://idm.{{ DOMAIN }}/realms/{{ inv_access.keycloak.realm_name }}/central",
    "surrogateAuthRequired": false,
    "enabled": true,
    "alwaysDisplayInConsole": false,
    "clientAuthenticatorType": "client-secret",
    "redirectUris": [
        "https://apim.{{ DOMAIN }}/*"
    ],
    "webOrigins": [],
    "notBefore": 0,
    "bearerOnly": false,
    "consentRequired": false,
    "standardFlowEnabled": true,
    "implicitFlowEnabled": true,
    "directAccessGrantsEnabled": true,
    "serviceAccountsEnabled": false,
    "publicClient": false,
    "frontchannelLogout": false,
    "protocol": "openid-connect",
    "attributes": {
        "saml.assertion.signature": "false",
        "saml.multivalued.roles": "false",
        "saml.force.post.binding": "false",
        "saml.encrypt": "false",
        "login_theme": "{{ inv_access.keycloak.theme }}",
        "backchannel.logout.revoke.offline.tokens": "false",
        "saml.server.signature": "false",
        "saml.server.signature.keyinfo.ext": "false",
        "exclude.session.state.from.auth.response": "false",
        "backchannel.logout.session.required": "true",
        "client_credentials.use_refresh_token": "false",
        "saml_force_name_id_format": "false",
        "saml.client.signature": "false",
        "tls.client.certificate.bound.access.tokens": "false",
        "saml.authnstatement": "false",
        "display.on.consent.screen": "false",
        "saml.onetimeuse.condition": "false"
    },
    "authenticationFlowBindingOverrides": {},
    "fullScopeAllowed": false,
    "nodeReRegistrationTimeout": -1,
    "protocolMappers": [
        {
            "name": "Role-Group mapping",
            "protocol": "openid-connect",
            "protocolMapper": "oidc-usermodel-client-role-mapper",
            "consentRequired": false,
            "config": {
                "multivalued": "true",
                "userinfo.token.claim": "true",
                "id.token.claim": "true",
                "access.token.claim": "true",
                "claim.name": "groups",
                "usermodel.clientRoleMapping.clientId": "{{ IDM_CLIENT.API_ACCESS }}"
            }
        },
        {
        "name": "Tenant Mapper",
        "protocol": "openid-connect",
        "protocolMapper": "tenant-name-mapper",
        "consentRequired": false,
        "config": {
            "id.token.claim": "true",
            "access.token.claim": "true",
            "claim.name": "tenants",
            "userinfo.token.claim": "true"
        }
    }        
    ],
    "defaultClientScopes": [
        "web-origins",
        "{{ idm_keycloak_settings.idm_keycloak_scope_TENANT_VALUES }}",
        "role_list",
        "profile",
        "roles",
        "email",
        "openid"
    ],
    "optionalClientScopes": [
        "address",
        "{{ idm_keycloak_settings.idm_keycloak_scope_API_READ }}",
        "{{ idm_keycloak_settings.idm_keycloak_scope_API_WRITE }}",
        "{{ idm_keycloak_settings.idm_keycloak_scope_API_DELETE }}",
        "phone",
        "offline_access",
        "microprofile-jwt"
    ],
    "access": {
        "view": true,
        "configure": true,
        "manage": true
    }
}